// ConsoleLib.h

#pragma once

extern "C" __declspec(dllexport) void InitConsole(char* title, int width, int height);
extern "C" __declspec(dllexport) void SetCC(int x, int y, unsigned char ch, unsigned char col);
extern "C" __declspec(dllexport) void SetChar(int x, int y, unsigned char c);
extern "C" __declspec(dllexport) void SetColor(int x, int y, unsigned char color);
extern "C" __declspec(dllexport) unsigned char GetChar(int x, int y);
extern "C" __declspec(dllexport) unsigned char GetColor(int x, int y);
extern "C" __declspec(dllexport) void UpdateConsole();
extern "C" __declspec(dllexport) void ForceUpdate();
extern "C" __declspec(dllexport) void WriteGarbage();
extern "C" __declspec(dllexport) void QuitConsole();
